testing::internal::TestMetaFactory< TestSuite > Class Template Reference

`#include <gtest.h>`

Inheritance diagram for testing::internal::TestMetaFactory< TestSuite >:

## Public Types

using | ParamType = typename TestSuite::ParamType

## Public Member Functions

| TestMetaFactory ()
TestFactoryBase * | CreateTestFactory (ParamType parameter) override
Public Member Functions inherited from testing::internal::TestMetaFactoryBase< TestSuite::ParamType >
virtual | ~TestMetaFactoryBase ()
virtual TestFactoryBase * | CreateTestFactory (TestSuite::ParamType parameter)=0

## Detailed Description

### template<class TestSuite>
class testing::internal::TestMetaFactory< TestSuite >

Definition at line 10980 of file gtest.h.

## Member Typedef Documentation

## ParamType

template<class TestSuite >

using testing::internal::TestMetaFactory< TestSuite >::ParamType = typename TestSuite::ParamType

Definition at line 10983 of file gtest.h.

## Constructor & Destructor Documentation

## TestMetaFactory()

template<class TestSuite >

testing::internal::TestMetaFactory< TestSuite >::TestMetaFactory | ( |  | ) |

inline

Definition at line 10985 of file gtest.h.

## Member Function Documentation

## CreateTestFactory()

template<class TestSuite >

TestFactoryBase* testing::internal::TestMetaFactory< TestSuite >::CreateTestFactory | ( | ParamType | parameter | ) |

inlineoverride

Definition at line 10987 of file gtest.h.

The documentation for this class was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h